Gtk2::ImageView::Tool::Dragger(3)

NAME
Gtk2::ImageView::Tool::Dragger - Default image tool for panning the image.

HIERARCHY
  Glib::Object
  +----Gtk2::ImageView::Tool::Dragger

INTERFACES
  Gtk2::ImageView::Tool

DESCRIPTION
Gtk2::ImageView::Tool::Dragger is the default image tool for Gtk2::ImageView. Its only feature is that it can drag the image around.

METHODS

  tool = Gtk2::ImageView::Tool::Dragger->new ($view)

•   $view (Gtk2::ImageView)

Returns a new dragger tool.

PROPERTIES

'view' (Gtk2::ImageView : default undef : writable / construct-only)
    Image View to navigate

SEE ALSO
Gtk2::ImageView, Glib::Object

COPYRIGHT
Copyright (C) 2007 by Jeffrey Ratcliffe.

This software is licensed under the GPL-3; see Gtk2::ImageView for a full notice.